Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class StackTraceListModel

    java.lang.Object
      org.crosswire.common.swing.StackTraceListModel

All Implemented Interfaces:
  ListModel

    public class StackTraceListModel

extends Object
implements ListModel

To itterate over the full function names.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, `ListModel`, `JList`

Field Summary
`private StackTrace` | `st`

Constructor Summary
`StackTraceListModel(StackTrace st)`

Method Summary
`void` | `addListDataListener(ListDataListener li)` Ignore this because the trace will not change
`Object` | `getElementAt(int index)` Returns the value at the specified index
`int` | `getSize()` Returns the length of the list
`void` | `removeListDataListener(ListDataListener li)` Ignore this because the trace will not change

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### st

    private final StackTrace st

Constructor Detail

### StackTraceListModel

    public StackTraceListModel(StackTrace st)

Parameters:
  `st` -

Method Detail

### getSize

    public int getSize()

  Returns the length of the list

  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Returns the value at the specified index

  Specified by:
    `getElementAt` in interface `ListModel`

### addListDataListener

    public void addListDataListener(ListDataListener li)

  Ignore this because the trace will not change

  Specified by:
    `addListDataListener` in interface `ListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener li)

  Ignore this because the trace will not change

  Specified by:
    `removeListDataListener` in interface `ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD